<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:ui="http://projectmallard.org/ui/1.0/" type="topic" style="task" version="1.0 ui/1.0" id="files-copy" xml:lang="hi">

  <info>
    <link type="guide" xref="files#common-file-tasks"/>

    <revision pkgversion="3.5.92" version="0.2" date="2012-09-15" status="review"/>
    <revision pkgversion="3.13.92" date="2014-09-20" status="review"/>
    <revision pkgversion="3.18" date="2015-09-28" status="review"/>

    <credit type="author">
      <name>Cristopher Thomas</name>
      <email>crisnoh@gmail.com</email>
    </credit>
    <credit type="author">
      <name>टैफ्फिनी अंटोपोलस्की</name>
      <email>tiffany.antopolski@gmail.com</email>
    </credit>
    <credit type="editor">
      <name>Michael Hill</name>
      <email>mdhillca@gmail.com</email>
    </credit>

    <include xmlns="http://www.w3.org/2001/XInclude" href="legal.xml"/>

    <desc>Copy or move items to a new folder.</desc>
  </info>

<title>Copy or move files and folders</title>

 <p>A file or folder can be copied or moved to a new location by dragging and
 dropping with the mouse, using the copy and paste commands, or by using
 keyboard shortcuts.</p>

 <p>For example, you might want to copy a presentation onto a memory stick so
 you can take it to work with you. Or, you could make a back-up copy of a
 document before you make changes to it (and then use the old copy if you don’t
 like your changes).</p>

 <p>These instructions apply to both files and folders. You copy and move files
 and folders in exactly the same way.</p>

<steps ui:expanded="false">
<title>Copy and paste files</title>
<item><p>Select the file you want to copy by clicking on it once.</p></item>
<item><p>Right-click and pick <gui>Copy</gui>, or press
 <keyseq><key>Ctrl</key><key>C</key></keyseq>.</p></item>
<item><p>Navigate to another folder, where you want to put the copy of the
 file.</p></item>
<item><p>Click the menu button and pick <gui>Paste</gui> to finish copying the
 file, or press <keyseq><key>Ctrl</key><key>V</key></keyseq>. There
 will now be a copy of the file in the original folder and the other
 folder.</p></item>
</steps>

<steps ui:expanded="false">
<title>Cut and paste files to move them</title>
<item><p>Select the file you want to move by clicking on it once.</p></item>
<item><p>Right-click and pick <gui>Cut</gui>, or press
 <keyseq><key>Ctrl</key><key>X</key></keyseq>.</p></item>
<item><p>Navigate to another folder, where you want to move the file.</p></item>
<item><p>Click the menu button in the toolbar and pick <gui>Paste</gui> to
 finish moving the file, or press <keyseq><key>Ctrl</key><key>V</key></keyseq>.
 The file will be taken out of its original folder and moved to the other
 folder.</p></item>
</steps>

<steps ui:expanded="false">
<title>Drag files to copy or move</title>
<item><p>Open the file manager and go to the folder which contains the file you
 want to copy.</p></item>
<item><p>Click <gui>Files</gui> in the top bar, select <gui>New Window</gui> (or
 press <keyseq><key>Ctrl</key><key>N</key></keyseq>) to open a second window. In
 the new window, navigate to the folder where you want to move or copy the file.
 </p></item>
<item>
 <p>Click and drag the file from one window to another. This will
 <em>move it</em> if the destination is on the <em>same</em> device, or
 <em>copy it</em> if the destination is on a <em>different</em> device.</p>
 <p>For example, if you drag a file from a USB memory stick to your Home folder,
 it will be copied, because you’re dragging from one device to another.</p>
 <p>You can force the file to be copied by holding down the <key>Ctrl</key> key
 while dragging, or force it to be moved by holding down the <key>Shift</key>
 key while dragging.</p>
 </item>
</steps>

<note>
  <p>You cannot copy or move a file into a folder that is <em>read-only</em>.
  Some folders are read-only to prevent you from making changes to their
  contents. You can change things from being read-only by
  <link xref="nautilus-file-properties-permissions">changing file permissions
  </link>.</p>
</note>

</page>
